Name:           python-pyjwt
Version:        2.10.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        JSON Web Token implementation in Python

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        MIT
URL:            https://github.com/jpadilla/pyjwt
Source:         %{pypi_source pyjwt}
Patch:          0001-Update-requirements.patch

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-pytest

# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
PyJWT is a Python library which allows you to encode and decode JSON Web Tokens
(JWT). JWT is an open, industry-standard (RFC 7519) for representing claims
securely between two parties.}

%description %_description

%package -n     python3-pyjwt
Summary:        %{summary}

%description -n python3-pyjwt %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-pyjwt crypto,dev,docs,tests


%prep
%autosetup -p1 -n pyjwt-%{version}

%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x crypto,dev,docs,tests


%build
%pyproject_wheel


%install
%pyproject_install
# Add top-level Python module names here as arguments, you can use globs
%pyproject_save_files -l jwt


%check
# %%pytest tests fails without internet
%pyproject_check_import


%files -n python3-pyjwt -f %{pyproject_files}


%changelog
%autochangelog
